### A free/open-source library for quantitative finance

Public Member Functions
GaussHyperbolicIntegration Class Reference

Gauss-Hyperbolic integration. More...

`#include <ql/math/integrals/gaussianquadratures.hpp>`

Inheritance diagram for GaussHyperbolicIntegration:
[legend]

List of all members.

## Public Member Functions

| GaussHyperbolicIntegration (Size n)

## Detailed Description

Gauss-Hyperbolic integration.

This class performs a 1-dimensional Gauss-Hyperbolic integration.

The weighting function is